#!/bin/sh

# Author:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv
# juhtolv (at) iki (dot) fi

# This script is public domain. There is no warranty.

BASENAME="sosl70c"


#MYDATE="`date +%Y%m%d`"
MYDATE="`date +%Y%m%d-%H%M`"

#cd /home/juhtolv/zzzopiskelu/sos/sosl70/ || exit 1
cd /home/juhtolv/gradu || exit 1

mkdir savegradu 2> /dev/null
mkdir savegradu/gradu-${MYDATE} 2> /dev/null
rm -rf savegradu/gradu-${MYDATE}/* 2> /dev/null

cp -f ${0} .htaccess Makefile completelatex.sh completecleanlatex.sh graduemacs.sh 000LUEMUT.txt 000LUEMUT.tex 000LUEMUT.html 000LUEMUT.pdf docutils.conf RST.tex mv12ptlapinakyva.eps mv12ptlapinakyva.png /usr/local/share/texmf/bibtex/bst/juhtolv/juhtolvalpha.bst /usr/local/share/texmf/bibtex/bst/juhtolv/juhtolvalphavsk.bst  ${BASENAME}.bib ${BASENAME}.tex ${BASENAME}.*.tex savegradu/gradu-${MYDATE}/

cp ~/seka/licences/dsl/dsl.txt savegradu/gradu-${MYDATE}/
cat ~/seka/licences/dsl/dsl.fi.txt > savegradu/gradu-${MYDATE}/dsl.fi.txt

cp -a hnb savegradu/gradu-${MYDATE}/
cp -a dvi savegradu/gradu-${MYDATE}/
cp -a ps savegradu/gradu-${MYDATE}/
cp -a pdf savegradu/gradu-${MYDATE}/
cp -a kdissert savegradu/gradu-${MYDATE}/
# FIXME:
#cp -a swf savegradu/gradu-${MYDATE}/
cp -a html.tex4ht.dir savegradu/gradu-${MYDATE}/
cp -a html.tex4ht.split1.dir savegradu/gradu-${MYDATE}/
cp -a html.tex4ht.split2.dir savegradu/gradu-${MYDATE}/
#cp -a html.tex4ht.split3.dir savegradu/gradu-${MYDATE}/

#cp -a ${BASENAME}.txt html.hevea.dir html.hevea.split.dir savegradu/gradu-${MYDATE}/

cd savegradu

star -c -v -v -f - gradu-${MYDATE} | bzip2 -9vv > gradu-${MYDATE}.tar.bz2

chmod ugo+r,go-wx gradu-${MYDATE}.tar.bz2

#cp gradu-${MYDATE}.tar.bz2 /mnt/work/gradusave/

#######################
#echo "lennon.cc.jyu.fi"
#echo "FTP directory"
#scp gradu-${MYDATE}.tar.bz2 lennon.cc.jyu.fi:/opt/ftp/private/juhtolv/gradusave/
#ssh lennon.cc.jyu.fi 'chmod -R ugo+rX,go-w /opt/ftp/private/juhtolv/gradusave/'

#echo "Home directory"
#scp gradu-${MYDATE}.tar.bz2 lennon.cc.jyu.fi:~/gradusave/

#echo "No more need to write passwords, I hope."

#######################
#echo "tukki.cc.jyu.fi"
#scp gradu-${MYDATE}.tar.bz2 verso.st.jyu.fi:~/www/gradusave/
# && ssh verso.st.jyu.fi "cd ~/www/gradusave/ ; bzip2 -dc gradu-${MYDATE}.tar.bz2 | star -x -v -v -v -f - ; chmod -R ugo+rX,go-w ~/www/gradusave/"

#echo "WWW directory"
#scp gradu-${MYDATE}.tar.bz2 tukki.cc.jyu.fi:~/www/gradusave/
#ssh tukki.cc.jyu.fi 'chmod -R ugo+rX,go-w ~/www/gradusave/'

echo '**************************************************************'
echo "Home directories:"
echo "jalava.cc.jyu.fi (and WWW-directory)"
scp gradu-${MYDATE}.tar.bz2 jalava.cc.jyu.fi:~/gradusave/ \
 && ssh jalava.cc.jyu.fi "cp -v ~/gradusave/gradu-${MYDATE}.tar.bz2 ~/html/gradu/ \
 && cd ~/html/gradu/ && bzip2 -dc gradu-${MYDATE}.tar.bz2 | tar xvvvf - \
 ; chmod -v -R ugo+rX,go-w ~/html/gradusave"

#echo "wildeast.cc.jyu.fi"
#scp gradu-${MYDATE}.tar.bz2 wildeast.cc.jyu.fi:~/gradusave/


#echo '**************************************************************'
#echo "WWW-directory:"
#echo "www.cc.jyu.fi"
#scp gradu-${MYDATE}.tar.bz2 www.cc.jyu.fi:~/www/gradusave/ \
# && ssh www.cc.jyu.fi "cd ~/www/gradusave/ && bzip2 -dc gradu-${MYDATE}.tar.bz2 | /bin/tar -x -v -v -v -f - ; chmod -R ugo+rX,go-w ~/www/gradusave/"


# tukissa ja kannossa /tmp saattaa olla "ramdiskillä" eli käyttää
# koneen omaa RAM-muistia eikä tavallista kovalevyä.
#echo '**************************************************************'
#echo "/tmp -directories:"
#for f in www wildeast
#do
#  echo "============================================================"
#  echo "$f"
#  echo scp gradu-${MYDATE}.tar.bz2 ${f}.cc.jyu.fi:/tmp/
#  scp gradu-${MYDATE}.tar.bz2 ${f}.cc.jyu.fi:/tmp/
#done

#echo '**************************************************************'
#echo "/var/tmp -directories:"
##    wildeast www
#for f in tukki kanto
#do
#  echo "============================================================"
#  echo "$f"
#  echo scp gradu-${MYDATE}.tar.bz2 ${f}.cc.jyu.fi:/var/tmp/
#  scp gradu-${MYDATE}.tar.bz2 ${f}.cc.jyu.fi:/var/tmp/
#done

########################

rm -rf gradu-${MYDATE}



